/**
 * Textile Parser
 *
 * Textile takes plain text with *simple* markup and produces valid XHTML.
 *
 * @category 	plugin
 * @version 	2.4.1
 * @license 	http://www.gnu.org/copyleft/gpl.html GNU Public License (GPL)
 * @internal	@events OnWebPagePrerender
 * @internal	@modx_category Content
 *  Written by: Rayomond Irving
 *  Updated Textile 2.4.1 by: yama 2012-10-20
 *  Modified for Textile 2.0.0 by: Ren? Tschannen 15.03.2007
 *  Contact: mail@nightsignals.com
 *  Download of classTextile.php: http://textile.thresholdstate.com/
 *  Textile Reference: http://hobix.com/textile/
 *  Support: http://forum.textpattern.com/viewforum.php?id=10  
 */

if($modx->event->name!=='OnWebPagePrerender') return;
if(strpos($modx->documentOutput,'<textile>')===false) return;
include_once($modx->config['base_path'] . 'assets/plugins/textile/loading.php');
